<?php

namespace common\modules\analyticsSchool;

/**
 * analyticsSchool module definition class
 */
class Module extends \common\components\WebModule
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\analyticsSchool\controllers';

    public static $active = true;

    public $menu_icons = 'fa fa-book';

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }

    public static function name()
    {
        return 'Школа аналитики';
    }

    public static function description()
    {
        return 'Модуль "Школа аналитики"';
    }


    public static function version()
    {
        return '2.0';
    }

    public static function adminMenu()
    {
        return [
            'Управление курсами' => '/analyticsSchool/courses-admin/manage',
            'Управление уроками' => '/analyticsSchool/lesson-admin/manage',
        ];
    }
}
